package ext {

[Uses("ext.SEventManager")]
[Uses("ext.Base")]
[Native("Ext.EventManager", require)]
/**
 * Registers event handlers on DOM elements.
 *
 * <p>This class is deprecated.  Please use the <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a> api to attach listeners to
 * DOM Elements.  For example:</p>
 *
 * <pre><code>var element = <a href="#!/api/Ext-method-get" rel="Ext-method-get" class="docClass">Ext.get</a>('myId');
 *
 * element.on('click', function(e) {
 *     // event handling logic here
 * });
 * </code></pre>
 */
public const EventManager:ext.SEventManager;
}