package ext.app.domain {

[Uses("ext.app.domain.SStoreEventDomain")]
[Uses("ext.app.EventDomain")]
[Uses("ext.Base")]
[Native("Ext.app.domain.Store", require)]
/**
 * This class implements the data store event domain. All classes extending from
 * <a href="#!/api/Ext.data.AbstractStore" rel="Ext.data.AbstractStore" class="docClass">Ext.data.AbstractStore</a> are included in this domain. The selectors are simply
 * store id, alias or the wildcard "*" to match any store.
 */
public const StoreEventDomain:ext.app.domain.SStoreEventDomain;
}