package ext.dashboard {
import ext.container.Container;

[Uses("ext.container.Container")]
[Uses("ext.Component")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Floating")]
[Uses("ext.util.Positionable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.mixin.Observable")]
[Uses("ext.util.Renderable")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Focusable")]
[Uses("ext.util.Animate")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.mixin.Container")]
[Native("Ext.dashboard.Column", require)]
/**
 * This class manages columns in a <code>Dashboard</code>. The primary role here is the <code>defaultType</code>
 * config which points to <code><a href="#!/api/Ext.dashboard.Panel" rel="Ext.dashboard.Panel" class="docClass">Ext.dashboard.Panel</a></code> and the self-destruct mechanism to get
 * rid of empty columns.
 */
public class DashboardColumn extends ext.container.Container {
  /**
   * @param config @inheritDoc
   */
  public function DashboardColumn(config:ext.dashboard.DashboardColumn = null) {
    super();
  }
}
}