package ext.data.events {
import ext.data.Batch;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Batch_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when all operations of this batch have been completed
   * @see ext.data.Batch
   * @eventType onComplete
   */
  public static const COMPLETE:String = "onComplete";

  /**
   * "Fired when a operation encountered an exception
   * @see ext.data.Batch
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  /**
   * "Fired when each operation of the batch completes
   * @see ext.data.Batch
   * @eventType onOperationComplete
   */
  public static const OPERATION_COMPLETE:String = "onOperationComplete";

  public function Batch_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The batch object
   */
  public native function get batch():ext.data.Batch;

  /**
   * The last operation that was executed
   */
  public native function get operation():Object;
}
}