package ext.data.events {
import ext.data.Connection;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Connection_optionsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a network request is made to retrieve a data object.
   * @see ext.data.Connection
   * @eventType onBeforeRequest
   */
  public static const BEFORE_REQUEST:String = "onBeforeRequest";

  public function Connection_optionsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This Connection object.
   */
  public native function get conn():ext.data.Connection;

  /**
   * The options config object passed to the <a href="#!/api/Ext.data.Connection-method-request" rel="Ext.data.Connection-method-request" class="docClass">request</a> method.
   */
  public native function get options():Object;
}
}