package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NodeInterface_childNodesEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this node's childNodes are sorted.
   * @see ext.data.NodeInterface
   * @eventType onSort
   */
  public static const SORT:String = "onSort";

  public function NodeInterface_childNodesEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node.
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The childNodes of this node.
   */
  public native function get childNodes():Array;
}
}