package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NodeInterface_node_isMoveEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a child is removed, return false to cancel the remove.
   * @see ext.data.NodeInterface
   * @eventType onBeforeRemove
   */
  public static const BEFORE_REMOVE:String = "onBeforeRemove";

  public function NodeInterface_node_isMoveEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The child node to be removed
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * <code>true</code> if the child node is being removed so it can be moved to another position in the tree.
   * (a side effect of calling <a href="#!/api/Ext.data.NodeInterface-method-appendChild" rel="Ext.data.NodeInterface-method-appendChild" class="docClass">appendChild</a> or
   * <a href="#!/api/Ext.data.NodeInterface-method-insertBefore" rel="Ext.data.NodeInterface-method-insertBefore" class="docClass">insertBefore</a> with a node that already has a parentNode)
   */
  public native function get isMove():Boolean;
}
}