package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NodeInterface_oldParent_newParent_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this node is moved to a new location in the tree. Return false to cancel the move.
   * @see ext.data.NodeInterface
   * @eventType onBeforeMove
   */
  public static const BEFORE_MOVE:String = "onBeforeMove";

  /**
   * "Fires when this node is moved to a new location in the tree
   * @see ext.data.NodeInterface
   * @eventType onMove
   */
  public static const MOVE:String = "onMove";

  public function NodeInterface_oldParent_newParent_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The parent of this node
   */
  public native function get oldParent():ext.data.NodeInterface;

  /**
   * The new parent this node is moving to
   */
  public native function get newParent():ext.data.NodeInterface;

  /**
   * The index it is being moved to
   */
  public native function get index():Number;
}
}