package ext.data.events {
import ext.data.Store;
import ext.data.operation.Operation;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ProxyStore_store_operationEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a request is made for a new data object. If the beforeload handler returns false the load
   * action will be canceled.
   * @since 1.1.0
   * @see ext.data.ProxyStore
   * @eventType onBeforeLoad
   */
  public static const BEFORE_LOAD:String = "onBeforeLoad";

  /**
   * "Fires whenever a successful write has been made via the configured <a href="#!/api/Ext.data.ProxyStore-cfg-proxy" rel="Ext.data.ProxyStore-cfg-proxy" class="docClass">Proxy</a>
   * @since 3.4.0
   * @see ext.data.ProxyStore
   * @eventType onWrite
   */
  public static const WRITE:String = "onWrite";

  public function ProxyStore_store_operationEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This Store
   */
  public native function get store():ext.data.Store;

  /**
   * The <a href="#!/api/Ext.data.operation.Operation" rel="Ext.data.operation.Operation" class="docClass">Ext.data.operation.Operation</a> object that will be passed to the Proxy to
   * load the Store
   */
  public native function get operation():ext.data.operation.Operation;
}
}