package ext.data.events {
import ext.data.Store;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Store_filtersEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired whenever the filter set changes.
   * @see ext.data.Store
   * @eventType onFilterChange
   */
  public static const FILTER_CHANGE:String = "onFilterChange";

  public function Store_filtersEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The store.
   */
  public native function get store():ext.data.Store;

  /**
   * The array of Filter objects.
   */
  public native function get filters():Array;
}
}