package ext.data.events {
import ext.data.NodeInterface;
import ext.data.TreeStore;
import ext.data.operation.Operation;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeStore_records_successful_operation_nodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires whenever the store reads data from a remote data source.
   * @see ext.data.TreeStore
   * @eventType onLoad
   */
  public static const LOAD:String = "onLoad";

  public function TreeStore_records_successful_operation_nodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.data.TreeStore;

  /**
   * An array of records.
   */
  public native function get records():Array;

  /**
   * True if the operation was successful.
   */
  public native function get successful():Boolean;

  /**
   * The operation that triggered this load.
   */
  public native function get operation():ext.data.operation.Operation;

  /**
   * The node that was loaded.
   */
  public native function get node():ext.data.NodeInterface;
}
}