package ext.data.schema {

[Native("Ext.data.schema.HasMany", require)]
/**
 * <strong>This is not a real JavaScript class and cannot be created.  This is for documentation purposes only.</strong>
 *
 * <p>This class provides for creating a keyless <code><a href="#!/api/Ext.data.schema.ManyToOne" rel="Ext.data.schema.ManyToOne" class="docClass">Ext.data.schema.ManyToOne</a></code> association. This declaration should
 * be on "many" entity. See <code><a href="#!/api/Ext.data.schema.ManyToOne" rel="Ext.data.schema.ManyToOne" class="docClass">Ext.data.schema.ManyToOne</a></code> and <code><a href="#!/api/Ext.data.schema.Association" rel="Ext.data.schema.Association" class="docClass">Ext.data.schema.Association</a></code> for more information.</p>
 */
public class HasMany {
  [Deprecated(since = "6.2.0")]
  [ExtConfig]
  /**
   * An alias for <a href="#!/api/Ext.data.schema.Reference-cfg-role" rel="Ext.data.schema.Reference-cfg-role" class="docClass">role</a>.
   */
  public native function get associatedName():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set associatedName(value:String):void;

  [Deprecated(message = "Use the reference configuration on a data field to created a keyed association.\n", since = "6.2.0")]
  [ExtConfig]
  /**
   * The key field to use in this association
   */
  public native function get foreignKey():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set foreignKey(value:String):void;

  [Deprecated(since = "6.2.0")]
  [ExtConfig]
  /**
   * An alias for <a href="#!/api/Ext.data.schema.Reference-cfg-type" rel="Ext.data.schema.Reference-cfg-type" class="docClass">type</a>.
   */
  public native function get model():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set model(value:String):void;

  [Deprecated(since = "6.2.0")]
  [ExtConfig]
  /**
   * An alias for <a href="#!/api/Ext.data.schema.Reference-cfg-role" rel="Ext.data.schema.Reference-cfg-role" class="docClass">role</a>.
   */
  public native function get name():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set name(value:String):void;
}
}