package ext.drag.events {
import ext.drag.DragInfo;
import ext.drag.DragSource;
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DragSource_The_eventEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before drag starts on this source. Return <code>false</code> to cancel the drag.
   * @see ext.drag.DragSource
   * @eventType onBeforeDragStart
   */
  public static const BEFORE_DRAG_START:String = "onBeforeDragStart";

  /**
   * "Fires when a drag is cancelled.
   * @see ext.drag.DragSource
   * @eventType onDragCancel
   */
  public static const DRAG_CANCEL:String = "onDragCancel";

  /**
   * "Fires when the drag ends on this source.
   * @see ext.drag.DragSource
   * @eventType onDragEnd
   */
  public static const DRAG_END:String = "onDragEnd";

  /**
   * "Fires continuously as this source is dragged.
   * @see ext.drag.DragSource
   * @eventType onDragMove
   */
  public static const DRAG_MOVE:String = "onDragMove";

  /**
   * "Fires when the drag starts on this source.
   * @see ext.drag.DragSource
   * @eventType onDragStart
   */
  public static const DRAG_START:String = "onDragStart";

  public function DragSource_The_eventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This source.
   */
  public native function get source():ext.drag.DragSource;

  /**
   * drag info.
   */
  public native function get The():ext.drag.DragInfo;

  /**
   * The event.
   */
  public native function get event():ext.event.Event;
}
}