package ext.events {
import ext.Component;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Component_width_height_oldWidth_oldHeightEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after the component is resized. Note that this does <em>not</em> fire when the component is first laid out at its initial
   * size. To hook that point in the life cycle, use the <a href="#!/api/Ext.Component-event-boxready" rel="Ext.Component-event-boxready" class="docClass">boxready</a> event.
   *
   * <p>This event does not fire on components that use <a href="#!/api/Ext.Component-cfg-liquidLayout" rel="Ext.Component-cfg-liquidLayout" class="docClass">liquidLayout</a>, such as
   * <a href="#!/api/Ext.button.Button" rel="Ext.button.Button" class="docClass">Buttons</a> and <a href="#!/api/Ext.form.field.Base" rel="Ext.form.field.Base" class="docClass">Form Fields</a>.</p>
   * @see ext.Component
   * @eventType onResize
   */
  public static const RESIZE:String = "onResize";

  public function Component_width_height_oldWidth_oldHeightEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Component;

  /**
   * The new width that was set.
   */
  public native function get width():Number;

  /**
   * The new height that was set.
   */
  public native function get height():Number;

  /**
   * The previous width.
   */
  public native function get oldWidth():Number;

  /**
   * The previous height.
   */
  public native function get oldHeight():Number;
}
}