package ext.events {
import ext.Editor;
import ext.dom.Element;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Editor_boundEl_valueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when editing is initiated, but before the value changes.  Editing can be canceled by returning
   * false from the handler of this event.
   * @see ext.Editor
   * @eventType onBeforeStartEdit
   */
  public static const BEFORE_START_EDIT:String = "onBeforeStartEdit";

  /**
   * "Fires when this editor is displayed
   * @see ext.Editor
   * @eventType onStartEdit
   */
  public static const START_EDIT:String = "onStartEdit";

  public function Editor_boundEl_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.Editor;

  /**
   * The underlying element bound to this editor
   */
  public native function get boundEl():ext.dom.Element;

  /**
   * The field value being set
   */
  public native function get value():Object;
}
}