package ext {

[Uses("ext.Sfeature")]
[Native("Ext.feature", require)]
/**
 * A simple class to verify if a browser feature exists or not on the current device.
 *
 * <pre><code>if (Ext.feature.has.Canvas) {
 *     // do some cool things with canvas here
 * }
 * </code></pre>
 *
 * <p>See the <a href="#!/api/Ext.feature-method-has" rel="Ext.feature-method-has" class="docClass">has</a> property/method for details of the features that can be detected.</p>
 */
public const feature:ext.Sfeature;
}