package ext.form.events {
import ext.form.BasicForm;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class BasicForm_dirtyEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the dirty state of the entire form changes.
   * @see ext.form.BasicForm
   * @eventType onDirtyChange
   */
  public static const DIRTY_CHANGE:String = "onDirtyChange";

  public function BasicForm_dirtyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.BasicForm;

  /**
   * <code>true</code> if the form is now dirty, <code>false</code> if it is no longer dirty.
   */
  public native function get dirty():Boolean;
}
}