package ext.form.field.events {
import ext.form.field.Field;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class BaseField_isDirtyEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a change in the field's <a href="#!/api/Ext.form.field.Field-method-isDirty" rel="Ext.form.field.Field-method-isDirty" class="docClass">isDirty</a> state is detected.
   * @see ext.form.field.BaseField
   * @eventType onDirtyChange
   */
  public static const DIRTY_CHANGE:String = "onDirtyChange";

  public function BaseField_isDirtyEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.Field;

  /**
   * Whether or not the field is now dirty
   */
  public native function get isDirty():Boolean;
}
}