package ext.form.field.events {
import ext.form.field.FileUploadField;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class FileUploadField_valueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the underlying file input field's value has changed from the user selecting a new file from the system
   * file selection dialog.
   * @see ext.form.field.FileUploadField
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public function FileUploadField_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.FileUploadField;

  /**
   * The file value returned by the underlying file input field
   */
  public native function get value():String;
}
}