package ext.form.field.events {
import ext.form.field.Field;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HtmlEditor_isValidEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a change in the field's validity is detected.
   * @see ext.form.field.HtmlEditor
   * @eventType onValidityChange
   */
  public static const VALIDITY_CHANGE:String = "onValidityChange";

  public function HtmlEditor_isValidEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.Field;

  /**
   * Whether or not the field is now valid
   */
  public native function get isValid():Boolean;
}
}