package ext.form.field.events {
import ext.form.field.Field;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HtmlEditor_newValue_oldValueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the value of a field is changed. The value of a field is
   * checked for changes when the field's <a href="#!/api/Ext.form.field.Field-method-setValue" rel="Ext.form.field.Field-method-setValue" class="docClass">setValue</a> method
   * is called and when any of the events listed in
   * <a href="#!/api/Ext.form.field.Base-cfg-checkChangeEvents" rel="Ext.form.field.Base-cfg-checkChangeEvents" class="docClass">checkChangeEvents</a> are fired.
   * @see ext.form.field.HtmlEditor
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public function HtmlEditor_newValue_oldValueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.Field;

  /**
   * The new value
   */
  public native function get newValue():Object;

  /**
   * The original value
   */
  public native function get oldValue():Object;
}
}