package ext.fx.target {

[Uses("ext.fx.target.CompositeElementTarget")]
[Uses("ext.fx.target.ElementTarget")]
[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.CompositeElementCSS", require)]
/**
 * This class represents a animation target for a <a href="#!/api/Ext.dom.CompositeElement" rel="Ext.dom.CompositeElement" class="docClass">Ext.CompositeElement</a>, where the
 * constituent elements support CSS based animation. It allows each <a href="#!/api/Ext.dom.Element" rel="Ext.dom.Element" class="docClass">Ext.dom.Element</a> in
 * the group to be animated as a whole. In general this class will not be created directly,
 * the <a href="#!/api/Ext.dom.CompositeElement" rel="Ext.dom.CompositeElement" class="docClass">Ext.CompositeElement</a> will be passed to the animation and the appropriate target
 * will be created.
 */
public class CompositeElementCSSTarget extends ext.fx.target.CompositeElementTarget {
  /**
   * @inheritDoc
   */
  public function CompositeElementCSSTarget(target:* = undefined) {
    super();
  }
}
}