package ext.fx.target {

[Uses("ext.fx.target.SpriteTarget")]
[Uses("ext.fx.target.Target")]
[Uses("ext.Base")]
[Native("Ext.fx.target.CompositeSprite", require)]
/**
 * This class represents a animation target for a Ext.draw.sprite.Composite. It allows
 * each Ext.draw.sprite.Sprite in the group to be animated as a whole. In general this class will not be
 * created directly, the Ext.draw.sprite.Composite will be passed to the animation and
 * and the appropriate target will be created.
 */
public class CompositeSpriteTarget extends ext.fx.target.SpriteTarget {
  /**
   * @inheritDoc
   */
  public function CompositeSpriteTarget(target:* = undefined) {
    super();
  }
}
}