package ext.grid.events {
import ext.data.Store;
import ext.grid.GridPanel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class GridPanel_store_columns_oldStore_oldColumnsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a reconfigure to enable modification of incoming Store and columns.
   * @see ext.grid.GridPanel
   * @eventType onBeforeReconfigure
   */
  public static const BEFORE_RECONFIGURE:String = "onBeforeReconfigure";

  /**
   * "Fires after a reconfigure.
   * @see ext.grid.GridPanel
   * @eventType onReconfigure
   */
  public static const RECONFIGURE:String = "onReconfigure";

  public function GridPanel_store_columns_oldStore_oldColumnsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.grid.GridPanel;

  /**
   * The store that was passed to the <a href="#!/api/Ext.grid.Panel-method-reconfigure" rel="Ext.grid.Panel-method-reconfigure" class="docClass">reconfigure</a> method
   */
  public native function get store():ext.data.Store;

  /**
   * The column configs that were passed to the <a href="#!/api/Ext.grid.Panel-method-reconfigure" rel="Ext.grid.Panel-method-reconfigure" class="docClass">reconfigure</a> method
   */
  public native function get columns():Array;

  /**
   * The store that will be replaced
   */
  public native function get oldStore():ext.data.Store;

  /**
   * The column headers that will be replaced.
   */
  public native function get oldColumns():Array;
}
}