package ext.list.events {
import ext.list.Tree;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractTreeItem_sender_infoEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "
   * @since 6.0.1
   * @see ext.list.AbstractTreeItem
   * @eventType onItemClick
   */
  public static const ITEM_CLICK:String = "onItemClick";

  public function AbstractTreeItem_sender_infoEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The <code>treelist</code> that fired this event.
   */
  public native function get sender():ext.list.Tree;

  /**
   * <ul>
   *   <li><code>event</code> : ext.event.Event
   * The DOM event that precipitated this
   * event.
   *   </li>
   *   <li><code>item</code> : ext.list.AbstractTreeItem
   * The tree node that was clicked.
   *   </li>
   *   <li><code>tree</code> : ext.list.Tree
   * The <code>treelist</code> that fired this event.
   *   </li>
   *   <li><code>select</code> : Boolean
   * On input this is value is the result of the
   *   <a href="#!/api/Ext.list.AbstractTreeItem-method-isSelectionEvent" rel="Ext.list.AbstractTreeItem-method-isSelectionEvent" class="docClass">isSelectionEvent</a> method. On return from event handlers (assuming a
   *   <code>false</code> return does not cancel things) this property is used to determine
   *   if the clicked node should be selected.
   *   </li>
   *   <li><code>toggle</code> : Boolean
   * On input this is value is the result of the
   *   <a href="#!/api/Ext.list.AbstractTreeItem-method-isToggleEvent" rel="Ext.list.AbstractTreeItem-method-isToggleEvent" class="docClass">isToggleEvent</a> method. On return from event handlers (assuming a
   *   <code>false</code> return does not cancel things) this property is used to determine
   *   if the clicked node's expand/collapse state should be toggled.
   *   </li>
   * </ul>
   */
  public native function get info():Object;
}
}