package ext.menu.events {
import ext.Component;
import ext.event.Event;
import ext.menu.Menu;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Menu_item_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when this menu is clicked
   * @see ext.menu.Menu
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  /**
   * "Fires when the mouse is hovering over this menu
   * @see ext.menu.Menu
   * @eventType onMouseOver
   */
  public static const MOUSE_OVER:String = "onMouseOver";

  public function Menu_item_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The menu which has been clicked
   */
  public native function get menu():ext.menu.Menu;

  /**
   * The menu item that was clicked. <code>undefined</code> if not applicable.
   */
  public native function get item():ext.Component;

  /**
   * The underlying <a href="#!/api/Ext.event.Event" rel="Ext.event.Event" class="docClass">Ext.event.Event</a>.
   */
  public native function get e():ext.event.Event;
}
}