package ext.mixin {

[Uses("ext.mixin.Identifiable")]
[Mixin("ext.mixin.Identifiable")]
/**
 * An Identifiable mixin.
 * @see ext.mixin.Identifiable
 */
public interface IIdentifiable {
  /**
   * Retrieves the id of this component. Will autogenerate an id if one has not already been set.
   * @return id
   */
  function getId():String;
}
}