package ext.panel.events {
import ext.grid.GridPanel;
import ext.grid.column.Column;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_columnEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a column is locked.
   * @see ext.panel.TablePanel
   * @eventType onLockColumn
   */
  public static const LOCK_COLUMN:String = "onLockColumn";

  /**
   * "Fires when a column is unlocked.
   * @see ext.panel.TablePanel
   * @eventType onUnlockColumn
   */
  public static const UNLOCK_COLUMN:String = "onUnlockColumn";

  public function TablePanel_columnEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The gridpanel.
   */
  public native function get source():ext.grid.GridPanel;

  /**
   * The column being locked.
   */
  public native function get column():ext.grid.column.Column;
}
}