package ext.selection.events {
import ext.data.Model;
import ext.selection.DataViewSelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DataViewSelectionModel_record_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired before a record is deselected. If any listener returns false, the
   * deselection is cancelled.
   * @see ext.selection.DataViewSelectionModel
   * @eventType onBeforeDeselect
   */
  public static const BEFORE_DESELECT:String = "onBeforeDeselect";

  /**
   * "Fired before a record is selected. If any listener returns false, the
   * selection is cancelled.
   * @see ext.selection.DataViewSelectionModel
   * @eventType onBeforeSelect
   */
  public static const BEFORE_SELECT:String = "onBeforeSelect";

  /**
   * "Fired after a record is selected
   * @see ext.selection.DataViewSelectionModel
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public function DataViewSelectionModel_record_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.selection.DataViewSelectionModel;

  /**
   * The deselected record.
   */
  public native function get record():ext.data.Model;

  /**
   * The index within the store of the deselected record.
   */
  public native function get index():Number;
}
}