package ext.state.events {
import ext.state.Provider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Provider_key_valueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a state change occurs.
   * @see ext.state.Provider
   * @eventType onStateChange
   */
  public static const STATE_CHANGE:String = "onStateChange";

  public function Provider_key_valueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This state provider
   */
  public native function get source():ext.state.Provider;

  /**
   * The state key which was changed
   */
  public native function get key():String;

  /**
   * The encoded value for the state
   */
  public native function get value():String;
}
}