package ext.tree.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreePanel_node_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a new child node is appended
   * @see ext.tree.TreePanel
   * @eventType onItemAppend
   */
  public static const ITEM_APPEND:String = "onItemAppend";

  public function TreePanel_node_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The newly appended node
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * The index of the newly appended node
   */
  public native function get index():Number;
}
}