package ext.tree.events {
import ext.data.NodeInterface;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeView_node_index_itemEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after an item has been visually collapsed and is no longer visible in the tree.
   * @see ext.tree.TreeView
   * @eventType onAfterItemCollapse
   */
  public static const AFTER_ITEM_COLLAPSE:String = "onAfterItemCollapse";

  /**
   * "Fires after an item has been visually expanded and is visible in the tree.
   * @see ext.tree.TreeView
   * @eventType onAfterItemExpand
   */
  public static const AFTER_ITEM_EXPAND:String = "onAfterItemExpand";

  public function TreeView_node_index_itemEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The node that was collapsed
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * The index of the node
   */
  public native function get index():Number;

  /**
   * The HTML element for the node that was collapsed
   */
  public native function get item():js.HTMLElement;
}
}