package ext.tree.events {
import ext.data.NodeInterface;
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeView_targetNode_position_dragData_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a tree node is being targeted for a drag drop, return false to signal drop not allowed.
   * @see ext.tree.TreeView
   * @eventType onNodeDragOver
   */
  public static const NODE_DRAG_OVER:String = "onNodeDragOver";

  public function TreeView_targetNode_position_dragData_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The target node
   */
  public native function get targetNode():ext.data.NodeInterface;

  /**
   * The drop position, "before", "after" or "append",
   */
  public native function get position():String;

  /**
   * Data relating to the drag operation
   */
  public native function get dragData():Object;

  /**
   * The event object for the drag
   */
  public native function get e():ext.event.Event;
}
}