package ext.util.events {
import ext.event.Event;
import ext.util.ClickRepeater;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ClickRepeater_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires on a specified interval during the time the element is pressed.
   * @see ext.util.ClickRepeater
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  /**
   * "Fires when the mouse button is depressed.
   * @see ext.util.ClickRepeater
   * @eventType onMouseDown
   */
  public static const MOUSE_DOWN:String = "onMouseDown";

  /**
   * "Fires when the mouse key is released.
   * @see ext.util.ClickRepeater
   * @eventType onMouseUp
   */
  public static const MOUSE_UP:String = "onMouseUp";

  public function ClickRepeater_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.util.ClickRepeater;

  public native function get e():ext.event.Event;
}
}