package ext.view.events {
import ext.view.DataView;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class AbstractView_records_index_item_viewEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the node associated with an individual record is removed
   * @see ext.view.AbstractView
   * @eventType onItemRemove
   */
  public static const ITEM_REMOVE:String = "onItemRemove";

  public function AbstractView_records_index_item_viewEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The model instances removed
   */
  public native function get records():Array;

  /**
   * The index from which the records wer removed
   */
  public native function get index():Number;

  /**
   * The view items removed
   */
  public native function get item():Array;

  /**
   * The view removing the item
   */
  public native function get view():ext.view.DataView;
}
}