Ext.define("ext.panel.events.TablePanel_td_cellIndex_record_tr_rowIndex_eEvent", function(TablePanel_td_cellIndex_record_tr_rowIndex_eEvent) {/*package ext.panel.events {
import ext.data.Model;
import ext.event.Event;
import ext.view.TableView;

import js.HTMLElement;

import net.jangaroo.ext.FlExtEvent;

public class TablePanel_td_cellIndex_record_tr_rowIndex_eEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){TablePanel_td_cellIndex_record_tr_rowIndex_eEvent.__PARAMETER_SEQUENCE__=( ["source", "td", "cellIndex", "record", "tr", "rowIndex", "e", "eOpts"]);}/*;
  /**
   * "Fired before the cell click is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellClick
   * /
  public static const BEFORE_CELL_CLICK:String = "onBeforeCellClick";
  /**
   * "Fired before the cell right click is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellContextMenu
   * /
  public static const BEFORE_CELL_CONTEXT_MENU:String = "onBeforeCellContextMenu";
  /**
   * "Fired before the cell double click is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellDblclick
   * /
  public static const BEFORE_CELL_DBLCLICK:String = "onBeforeCellDblclick";
  /**
   * "Fired before the cell key down is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellKeyDown
   * /
  public static const BEFORE_CELL_KEY_DOWN:String = "onBeforeCellKeyDown";
  /**
   * "Fired before the cell mouse down is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellMouseDown
   * /
  public static const BEFORE_CELL_MOUSE_DOWN:String = "onBeforeCellMouseDown";
  /**
   * "Fired before the cell mouse up is processed. Return false to cancel the default action.
   * @see ext.panel.TablePanel
   * @eventType onBeforeCellMouseUp
   * /
  public static const BEFORE_CELL_MOUSE_UP:String = "onBeforeCellMouseUp";
  /**
   * "Fired when table cell is clicked.
   * @see ext.panel.TablePanel
   * @eventType onCellClick
   * /
  public static const CELL_CLICK:String = "onCellClick";
  /**
   * "Fired when table cell is right clicked.
   * @see ext.panel.TablePanel
   * @eventType onCellContextMenu
   * /
  public static const CELL_CONTEXT_MENU:String = "onCellContextMenu";
  /**
   * "Fired when table cell is double clicked.
   * @see ext.panel.TablePanel
   * @eventType onCellDblclick
   * /
  public static const CELL_DBLCLICK:String = "onCellDblclick";
  /**
   * "Fired when the keydown event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onCellKeyDown
   * /
  public static const CELL_KEY_DOWN:String = "onCellKeyDown";
  /**
   * "Fired when the mousedown event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onCellMouseDown
   * /
  public static const CELL_MOUSE_DOWN:String = "onCellMouseDown";
  /**
   * "Fired when the mouseup event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onCellMouseUp
   * /
  public static const CELL_MOUSE_UP:String = "onCellMouseUp";

  public*/ function TablePanel_td_cellIndex_record_tr_rowIndex_eEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  public native function get source():TableView;

  /**
   * The TD element for the cell.
   * /
  public native function get td():HTMLElement;

  public native function get cellIndex():Number;

  public native function get record():Model;

  /**
   * The TR element for the cell.
   * /
  public native function get tr():HTMLElement;

  public native function get rowIndex():Number;

  /**
   *
   * <ul>
   *   <li><code>position</code> : ext.grid.CellContext
   * A CellContext object which defines the target cell.
   *   </li>
   * </ul>
   * /
  public native function get e():Event;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: TablePanel_td_cellIndex_record_tr_rowIndex_eEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEFORE_CELL_CLICK: "onBeforeCellClick",
        BEFORE_CELL_CONTEXT_MENU: "onBeforeCellContextMenu",
        BEFORE_CELL_DBLCLICK: "onBeforeCellDblclick",
        BEFORE_CELL_KEY_DOWN: "onBeforeCellKeyDown",
        BEFORE_CELL_MOUSE_DOWN: "onBeforeCellMouseDown",
        BEFORE_CELL_MOUSE_UP: "onBeforeCellMouseUp",
        CELL_CLICK: "onCellClick",
        CELL_CONTEXT_MENU: "onCellContextMenu",
        CELL_DBLCLICK: "onCellDblclick",
        CELL_KEY_DOWN: "onCellKeyDown",
        CELL_MOUSE_DOWN: "onCellMouseDown",
        CELL_MOUSE_UP: "onCellMouseUp",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
