package ext {

[Uses("ext.ZIndexManager")]
[Uses("ext.Base")]
[Native("Ext.WindowManager", require = "Ext.ZIndexManager")]
/**
 * The default global floating Component group that is available automatically.
 *
 * <p>This manages instances of floating Components which were rendered programatically without
 * being added to a <a href="#!/api/Ext.container.Container" rel="Ext.container.Container" class="docClass">Container</a>, and for floating Components
 * which were added into non-floating Containers.</p>
 *
 * <p><em>Floating</em> Containers create their own instance of ZIndexManager, and floating Components
 * added at any depth below there are managed by that ZIndexManager.</p>
 */
public const WindowManager:ext.ZIndexManager;
}