package ext.app.bind {

[Uses("ext.app.bind.BaseBinding")]
[Uses("ext.util.Schedulable")]
[Uses("ext.Base")]
[Native("Ext.app.bind.TemplateBinding", require)]
/**
 * This class is created to manage a template against a <code>ViewModel</code>. A binding of this
 * type uses <code><a href="#!/api/Ext.app.bind.Template" rel="Ext.app.bind.Template" class="docClass">Ext.app.bind.Template</a></code> to process the template text so see that
 * class for details on template syntax.
 *
 * <p>The bindings to provide the data needed by the template are managed here.</p>
 */
public class TemplateBinding extends ext.app.bind.BaseBinding {
  /**
   * @inheritDoc
   */
  public function TemplateBinding(config:ext.app.bind.BaseBinding = null) {
    super();
  }
}
}