package ext.button.events {
import ext.button.CycleButton;
import ext.menu.CheckItem;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class CycleButton_itemEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after the button's active menu item has changed. Note that if a <a href="#!/api/Ext.button.Cycle-cfg-changeHandler" rel="Ext.button.Cycle-cfg-changeHandler" class="docClass">changeHandler</a> function is
   * set on this CycleButton, it will be called instead on active item change and this change event will not
   * be fired.
   * @see ext.button.CycleButton
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public function CycleButton_itemEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.button.CycleButton;

  /**
   * The menu item that was selected
   */
  public native function get item():ext.menu.CheckItem;
}
}