package ext.container.events {
import ext.Component;
import ext.container.Container;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Container_componentEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before any <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> is removed from the container.  A handler can return
   * false to cancel the remove.
   * @since 2.3.0
   * @see ext.container.Container
   * @eventType onBeforeRemove
   */
  public static const BEFORE_REMOVE:String = "onBeforeRemove";

  /**
   * "Fires after any <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> is removed from the container.
   * @since 2.3.0
   * @see ext.container.Container
   * @eventType onRemove
   */
  public static const REMOVE:String = "onRemove";

  public function Container_componentEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.container.Container;

  /**
   * The component being removed
   */
  public native function get component():ext.Component;
}
}