package ext.container.events {
import ext.Component;
import ext.container.Container;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Container_component_prevIndex_newIndexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after any <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> has changed its ordinal position within the container.
   * @see ext.container.Container
   * @eventType onChildMove
   */
  public static const CHILD_MOVE:String = "onChildMove";

  public function Container_component_prevIndex_newIndexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.container.Container;

  /**
   * The component that was moved
   */
  public native function get component():ext.Component;

  /**
   * The previous ordinal position of the Component
   */
  public native function get prevIndex():Number;

  /**
   * The new ordinal position of the Component
   */
  public native function get newIndex():Number;
}
}