package ext.container.events {
import ext.Component;
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DockingContainer_component_indexEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when any <a href="#!/api/Ext.Component" rel="Ext.Component" class="docClass">Ext.Component</a> is added or inserted as a docked item.
   * @see ext.container.DockingContainer
   * @eventType onDockedAdd
   */
  public static const DOCKED_ADD:String = "onDockedAdd";

  public function DockingContainer_component_indexEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.Panel;

  /**
   * The component being added
   */
  public native function get component():ext.Component;

  /**
   * The index at which the component will be added docked items collection
   */
  public native function get index():Number;
}
}