package ext.data.events {
import ext.data.Store;
import ext.util.Grouper;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Store_grouperEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired whenever the grouping in the grid changes.
   * @see ext.data.Store
   * @eventType onGroupChange
   */
  public static const GROUP_CHANGE:String = "onGroupChange";

  public function Store_grouperEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The store.
   */
  public native function get store():ext.data.Store;

  /**
   * The grouper object.
   */
  public native function get grouper():ext.util.Grouper;
}
}