package ext.data.events {
import ext.data.NodeInterface;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TreeStore_node_refNodeEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a new child is inserted, return false to cancel the insert.
   * @see ext.data.TreeStore
   * @eventType onNodeBeforeInsert
   */
  public static const NODE_BEFORE_INSERT:String = "onNodeBeforeInsert";

  /**
   * "Fires when a new child node is inserted.
   * @see ext.data.TreeStore
   * @eventType onNodeInsert
   */
  public static const NODE_INSERT:String = "onNodeInsert";

  public function TreeStore_node_refNodeEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This node
   */
  public native function get source():ext.data.NodeInterface;

  /**
   * The child node to be inserted
   */
  public native function get node():ext.data.NodeInterface;

  /**
   * The child node the node is being inserted before
   */
  public native function get refNode():ext.data.NodeInterface;
}
}