package ext.direct.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class DirectManager_url_errorEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired by <a href="#!/api/Ext.direct.Manager-method-loadProvider" rel="Ext.direct.Manager-method-loadProvider" class="docClass">loadProvider</a> when remoting API could not be loaded, or
   * Provider instance could not be created.
   * @see ext.direct.SDirectManager
   * @eventType onProviderLoadError
   */
  public static const PROVIDER_LOAD_ERROR:String = "onProviderLoadError";

  public function DirectManager_url_errorEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The URL used to retrieve remoting API.
   */
  public native function get url():String;

  /**
   * The error that occured.
   */
  public native function get error():String;
}
}