package ext.direct.events {
import ext.direct.Provider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ProviderEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the Provider connects to the server-side
   * @see ext.direct.Provider
   * @eventType onConnect
   */
  public static const CONNECT:String = "onConnect";

  /**
   * "Fires when the Provider disconnects from the server-side
   * @see ext.direct.Provider
   * @eventType onDisconnect
   */
  public static const DISCONNECT:String = "onDisconnect";

  public function ProviderEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The <a href="#!/api/Ext.direct.Provider" rel="Ext.direct.Provider" class="docClass">Provider</a>.
   */
  public native function get provider():ext.direct.Provider;
}
}