package ext.direct.events {
import ext.direct.DirectEvent;
import ext.direct.RemotingProvider;
import ext.direct.Transaction;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class RemotingProvider_event_transactionEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before callback function is executed. By returning <code>false</code> from an event handler
   * you can prevent the callback from executing.
   * @see ext.direct.RemotingProvider
   * @eventType onBeforeCallback
   */
  public static const BEFORE_CALLBACK:String = "onBeforeCallback";

  public function RemotingProvider_event_transactionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The provider instance
   */
  public native function get provider():ext.direct.RemotingProvider;

  /**
   * Event associated with the callback invocation
   */
  public native function get event():ext.direct.DirectEvent;

  /**
   * Transaction for which the callback
   * is about to be fired
   */
  public native function get transaction():ext.direct.Transaction;
}
}