package ext.events {
import ext.ElementLoader;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class ElementLoader_response_optionsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after an unsuccessful load.
   * @see ext.ElementLoader
   * @eventType onException
   */
  public static const EXCEPTION:String = "onException";

  /**
   * "Fires after a successful load.
   * @see ext.ElementLoader
   * @eventType onLoad
   */
  public static const LOAD:String = "onLoad";

  public function ElementLoader_response_optionsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.ElementLoader;

  /**
   * The response from the server
   */
  public native function get response():Object;

  /**
   * The options passed to the request
   */
  public native function get options():Object;
}
}