package ext.events {
import ext.Component;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class GlobalEvents_componentEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when a Component is added to a Container.
   * @see ext.SGlobalEvents
   * @eventType onAdded
   */
  public static const ADDED:String = "onAdded";

  /**
   * "Fires when a Component is collapsed (e.g., a panel).
   * @see ext.SGlobalEvents
   * @eventType onCollapse
   */
  public static const COLLAPSE:String = "onCollapse";

  /**
   * "Fires when a Component is expanded (e.g., a panel).
   * @see ext.SGlobalEvents
   * @eventType onExpand
   */
  public static const EXPAND:String = "onExpand";

  /**
   * "Fires when a Component is hidden.
   * @see ext.SGlobalEvents
   * @eventType onHide
   */
  public static const HIDE:String = "onHide";

  /**
   * "Fires when a Component is removed from a Container.
   * @see ext.SGlobalEvents
   * @eventType onRemoved
   */
  public static const REMOVED:String = "onRemoved";

  /**
   * "Fires when a Component is shown.
   * @see ext.SGlobalEvents
   * @eventType onShow
   */
  public static const SHOW:String = "onShow";

  public function GlobalEvents_componentEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get component():ext.Component;
}
}