package ext.form.events {
import ext.form.BasicForm;
import ext.form.action.Action;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class BasicForm_actionEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when an action is completed.
   * @see ext.form.BasicForm
   * @eventType onActionComplete
   */
  public static const ACTION_COMPLETE:String = "onActionComplete";

  /**
   * "Fires when an action fails.
   * @see ext.form.BasicForm
   * @eventType onActionFailed
   */
  public static const ACTION_FAILED:String = "onActionFailed";

  /**
   * "Fires before any action is performed. Return false to cancel the action.
   * @see ext.form.BasicForm
   * @eventType onBeforeAction
   */
  public static const BEFORE_ACTION:String = "onBeforeAction";

  public function BasicForm_actionEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.BasicForm;

  /**
   * The <a href="#!/api/Ext.form.action.Action" rel="Ext.form.action.Action" class="docClass">Ext.form.action.Action</a> that completed
   */
  public native function get action():ext.form.action.Action;
}
}