package ext.form.events {
import ext.form.FieldAncestor;
import ext.form.Labelable;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class FormPanel_field_isValidEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the validity state of any one of the <a href="#!/api/Ext.form.field.Field" rel="Ext.form.field.Field" class="docClass">Ext.form.field.Field</a> instances within this
   * container changes.
   * @see ext.form.FormPanel
   * @eventType onFieldValidityChange
   */
  public static const FIELD_VALIDITY_CHANGE:String = "onFieldValidityChange";

  public function FormPanel_field_isValidEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.FieldAncestor;

  /**
   * The Field instance whose validity changed
   */
  public native function get field():ext.form.Labelable;

  /**
   * The field's new validity state
   */
  public native function get isValid():String;
}
}