package ext.form.field {

[Uses("ext.form.field.TextField")]
[Uses("ext.form.field.BaseField")]
[Uses("ext.Component")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Floating")]
[Uses("ext.util.Positionable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.mixin.Observable")]
[Uses("ext.util.Renderable")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Focusable")]
[Uses("ext.util.Animate")]
[Uses("ext.form.Labelable")]
[Uses("ext.form.field.Field")]
[Deprecated(replacement = "triggers", since = "5.0")]
[Native("Ext.form.field.Trigger", require)]
public class TriggerField extends ext.form.field.TextField {
  /**
   * @param config @inheritDoc
   */
  public function TriggerField(config:ext.form.field.TriggerField = null) {
    super();
  }

  [ExtConfig]
  /**
   * An additional CSS class used to style the trigger button. The trigger will always get the <a href="#!/api/Ext.form.trigger.Trigger-property-baseCls" rel="Ext.form.trigger.Trigger-property-baseCls" class="docClass">Ext.form.trigger.Trigger.baseCls</a>
   * by default and triggerCls will be <strong>appended</strong> if specified.
   * @default Ext.baseCSSPrefix + 'form-arrow-trigger'
   */
  public native function get triggerCls():String;

  [ExtConfig]
  /**
   * @private
   */
  public native function set triggerCls(value:String):void;
}
}