package ext.form.field.events {
import ext.form.field.HtmlEditor;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HtmlEditor_htmlEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before the iframe editor is updated with content from the textarea. Return false to cancel the
   * push.
   * @see ext.form.field.HtmlEditor
   * @eventType onBeforePush
   */
  public static const BEFORE_PUSH:String = "onBeforePush";

  /**
   * "Fires before the textarea is updated with content from the editor iframe. Return false to cancel the
   * sync.
   * @see ext.form.field.HtmlEditor
   * @eventType onBeforeSync
   */
  public static const BEFORE_SYNC:String = "onBeforeSync";

  /**
   * "Fires when the iframe editor is updated with content from the textarea.
   * @see ext.form.field.HtmlEditor
   * @eventType onPush
   */
  public static const PUSH:String = "onPush";

  /**
   * "Fires when the textarea is updated with content from the editor iframe.
   * @see ext.form.field.HtmlEditor
   * @eventType onSync
   */
  public static const SYNC:String = "onSync";

  public function HtmlEditor_htmlEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.form.field.HtmlEditor;

  public native function get html():String;
}
}