package ext.form.field.events {
import ext.event.Event;
import ext.form.field.TextField;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TextField_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Keydown input field event. This event only fires if <strong><a href="#!/api/Ext.form.field.Text-cfg-enableKeyEvents" rel="Ext.form.field.Text-cfg-enableKeyEvents" class="docClass">enableKeyEvents</a></strong> is set to true.
   * @see ext.form.field.TextField
   * @eventType onKeyDown
   */
  public static const KEY_DOWN:String = "onKeyDown";

  /**
   * "Keypress input field event. This event only fires if <strong><a href="#!/api/Ext.form.field.Text-cfg-enableKeyEvents" rel="Ext.form.field.Text-cfg-enableKeyEvents" class="docClass">enableKeyEvents</a></strong> is set to true.
   * @see ext.form.field.TextField
   * @eventType onKeypress
   */
  public static const KEYPRESS:String = "onKeypress";

  /**
   * "Keyup input field event. This event only fires if <strong><a href="#!/api/Ext.form.field.Text-cfg-enableKeyEvents" rel="Ext.form.field.Text-cfg-enableKeyEvents" class="docClass">enableKeyEvents</a></strong> is set to true.
   * @see ext.form.field.TextField
   * @eventType onKeyUp
   */
  public static const KEY_UP:String = "onKeyUp";

  public function TextField_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This text field
   */
  public native function get source():ext.form.field.TextField;

  public native function get e():ext.event.Event;
}
}