package ext.grid.header.events {
import ext.event.Event;
import ext.grid.column.Column;
import ext.grid.header.HeaderContainer;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HeaderContainer_column_e_tEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "
   * @see ext.grid.header.HeaderContainer
   * @eventType onHeaderClick
   */
  public static const HEADER_CLICK:String = "onHeaderClick";

  /**
   * "
   * @see ext.grid.header.HeaderContainer
   * @eventType onHeaderContextMenu
   */
  public static const HEADER_CONTEXT_MENU:String = "onHeaderContextMenu";

  /**
   * "
   * @see ext.grid.header.HeaderContainer
   * @eventType onHeaderTriggerClick
   */
  public static const HEADER_TRIGGER_CLICK:String = "onHeaderTriggerClick";

  public function HeaderContainer_column_e_tEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The grid's header Container which encapsulates all column headers.
   */
  public native function get ct():ext.grid.header.HeaderContainer;

  /**
   * The Column header Component which provides the column definition
   */
  public native function get column():ext.grid.column.Column;

  public native function get e():ext.event.Event;

  public native function get t():js.HTMLElement;
}
}