package ext.grid.locking.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Lockable_lockedColumns_normalColumnsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the configured (or <strong>reconfigured</strong>) column set is split into two depending on the <a href="#!/api/Ext.grid.column.Column-cfg-locked" rel="Ext.grid.column.Column-cfg-locked" class="docClass">locked</a> flag.
   * @see ext.grid.locking.Lockable
   * @eventType onProcessColumns
   */
  public static const PROCESS_COLUMNS:String = "onProcessColumns";

  public function Lockable_lockedColumns_normalColumnsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The locked columns.
   */
  public native function get lockedColumns():Array;

  /**
   * The normal columns.
   */
  public native function get normalColumns():Array;
}
}