package ext.grid.property {
import ext.grid.header.HeaderContainer;

[Uses("ext.grid.header.HeaderContainer")]
[Uses("ext.container.Container")]
[Uses("ext.Component")]
[Uses("ext.mixin.Bindable")]
[Uses("ext.Base")]
[Uses("ext.util.ElementContainer")]
[Uses("ext.util.Floating")]
[Uses("ext.util.Positionable")]
[Uses("ext.state.Stateful")]
[Uses("ext.mixin.ComponentDelegation")]
[Uses("ext.Mixin")]
[Uses("ext.mixin.Keyboard")]
[Uses("ext.mixin.Accessible")]
[Uses("ext.mixin.Observable")]
[Uses("ext.util.Renderable")]
[Uses("ext.mixin.Inheritable")]
[Uses("ext.util.Focusable")]
[Uses("ext.util.Animate")]
[Uses("ext.mixin.Queryable")]
[Uses("ext.mixin.Container")]
[Uses("ext.util.FocusableContainer")]
[Native("Ext.grid.property.HeaderContainer", require)]
/**
 * A custom HeaderContainer for the <a href="#!/api/Ext.grid.property.Grid" rel="Ext.grid.property.Grid" class="docClass">Ext.grid.property.Grid</a>.
 * Generally it should not need to be used directly.
 */
public class PropertyGridHeaderContainer extends ext.grid.header.HeaderContainer {
  /**
   * Creates new HeaderContainer.
   * @param grid The grid this store will be bound to
   * @param source The source data config object
   */
  public function PropertyGridHeaderContainer(grid:ext.grid.property.PropertyGrid, source:Object) {
    super();
  }
}
}