package ext.mixin {
import ext.Base;

[Uses("ext.Base")]
[Native("Ext.mixin.Identifiable", require)]
[ExcludeClass]
/**
 * An Identifiable mixin.
 */
public class Identifiable extends ext.Base implements ext.mixin.IIdentifiable {
  /**
   * Retrieves the id of this component. Will autogenerate an id if one has not already been set.
   * @return id
   */
  public native function getId():String;
}
}