package ext.panel.events {
import ext.event.Event;
import ext.panel.PanelHeader;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class PanelHeader_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when the header is clicked. This event will not be fired
   * if the click was on a <a href="#!/api/Ext.panel.Tool" rel="Ext.panel.Tool" class="docClass">Ext.panel.Tool</a>
   * @see ext.panel.PanelHeader
   * @eventType onClick
   */
  public static const CLICK:String = "onClick";

  /**
   * "Fires when the header is double clicked. This event will not
   * be fired if the click was on a <a href="#!/api/Ext.panel.Tool" rel="Ext.panel.Tool" class="docClass">Ext.panel.Tool</a>
   * @see ext.panel.PanelHeader
   * @eventType onDblclick
   */
  public static const DBLCLICK:String = "onDblclick";

  public function PanelHeader_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.panel.PanelHeader;

  public native function get e():ext.event.Event;
}
}