package ext.panel.events {
import ext.panel.Panel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Panel_direction_animateEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before this panel is collapsed. Return false to prevent the collapse.
   * @see ext.panel.Panel
   * @eventType onBeforeCollapse
   */
  public static const BEFORE_COLLAPSE:String = "onBeforeCollapse";

  public function Panel_direction_animateEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The Panel being collapsed.
   */
  public native function get p():ext.panel.Panel;

  /**
   * . The direction of the collapse. One of
   * <ul>
   * <li><a href="#!/api/Ext.Component-static-property-DIRECTION_TOP" rel="Ext.Component-static-property-DIRECTION_TOP" class="docClass">Ext.Component.DIRECTION_TOP</a></li>
   * <li><a href="#!/api/Ext.Component-static-property-DIRECTION_RIGHT" rel="Ext.Component-static-property-DIRECTION_RIGHT" class="docClass">Ext.Component.DIRECTION_RIGHT</a></li>
   * <li><a href="#!/api/Ext.Component-static-property-DIRECTION_BOTTOM" rel="Ext.Component-static-property-DIRECTION_BOTTOM" class="docClass">Ext.Component.DIRECTION_BOTTOM</a></li>
   * <li><a href="#!/api/Ext.Component-static-property-DIRECTION_LEFT" rel="Ext.Component-static-property-DIRECTION_LEFT" class="docClass">Ext.Component.DIRECTION_LEFT</a></li>
   * </ul>
   */
  public native function get direction():String;

  /**
   * True if the collapse is animated, else false.
   */
  public native function get animate():Boolean;
}
}