package ext.panel.events {
import ext.data.Model;
import ext.event.Event;
import ext.view.TableView;
import js.HTMLElement;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TablePanel_record_tr_rowIndex_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when table cell is clicked.
   * @see ext.panel.TablePanel
   * @eventType onRowClick
   */
  public static const ROW_CLICK:String = "onRowClick";

  /**
   * "Fired when table cell is right clicked.
   * @see ext.panel.TablePanel
   * @eventType onRowContextMenu
   */
  public static const ROW_CONTEXT_MENU:String = "onRowContextMenu";

  /**
   * "Fired when table cell is double clicked.
   * @see ext.panel.TablePanel
   * @eventType onRowDblclick
   */
  public static const ROW_DBLCLICK:String = "onRowDblclick";

  /**
   * "Fired when the keydown event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onRowKeyDown
   */
  public static const ROW_KEY_DOWN:String = "onRowKeyDown";

  /**
   * "Fired when the mousedown event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onRowMouseDown
   */
  public static const ROW_MOUSE_DOWN:String = "onRowMouseDown";

  /**
   * "Fired when the mouseup event is captured on the cell.
   * @see ext.panel.TablePanel
   * @eventType onRowMouseUp
   */
  public static const ROW_MOUSE_UP:String = "onRowMouseUp";

  public function TablePanel_record_tr_rowIndex_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.view.TableView;

  public native function get record():ext.data.Model;

  /**
   * The TR element for the cell.
   */
  public native function get tr():js.HTMLElement;

  public native function get rowIndex():Number;

  /**
   * <ul>
   *   <li><code>position</code> : ext.grid.CellContext
   * A CellContext object which defines the target cell.
   *   </li>
   * </ul>
   */
  public native function get e():ext.event.Event;
}
}