package ext.selection.events {
import ext.data.Model;
import ext.selection.CellSelectionModel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class CellSelectionModel_record_row_columnEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired after a cell is deselected
   * @see ext.selection.CellSelectionModel
   * @eventType onDeselect
   */
  public static const DESELECT:String = "onDeselect";

  /**
   * "Fired after a cell is selected
   * @see ext.selection.CellSelectionModel
   * @eventType onSelect
   */
  public static const SELECT:String = "onSelect";

  public function CellSelectionModel_record_row_columnEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.selection.CellSelectionModel;

  /**
   * The record of the deselected cell
   */
  public native function get record():ext.data.Model;

  /**
   * The row index deselected
   */
  public native function get row():Number;

  /**
   * The column index deselected
   */
  public native function get column():Number;
}
}