package ext.slider.events {
import ext.event.Event;
import ext.slider.MultiSlider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class MultiSlider_eEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires continuously during the drag operation while the mouse is moving.
   * @see ext.slider.MultiSlider
   * @eventType onDrag
   */
  public static const DRAG:String = "onDrag";

  /**
   * "Fires after the drag operation has completed.
   * @see ext.slider.MultiSlider
   * @eventType onDragEnd
   */
  public static const DRAG_END:String = "onDragEnd";

  /**
   * "Fires after a drag operation has started.
   * @see ext.slider.MultiSlider
   * @eventType onDragStart
   */
  public static const DRAG_START:String = "onDragStart";

  public function MultiSlider_eEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The slider
   */
  public native function get slider():ext.slider.MultiSlider;

  /**
   * The event fired from <a href="#!/api/Ext.dd.DragTracker" rel="Ext.dd.DragTracker" class="docClass">Ext.dd.DragTracker</a>
   */
  public native function get e():ext.event.Event;
}
}