package ext.slider.events {
import ext.slider.MultiSlider;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class MultiSlider_newValue_oldValueEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before the slider value is changed. By returning false from an event handler, you can cancel the
   * event and prevent the slider from changing.
   * @see ext.slider.MultiSlider
   * @eventType onBeforeChange
   */
  public static const BEFORE_CHANGE:String = "onBeforeChange";

  public function MultiSlider_newValue_oldValueEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The slider
   */
  public native function get slider():ext.slider.MultiSlider;

  /**
   * The new value which the slider is being changed to.
   */
  public native function get newValue():Number;

  /**
   * The old value which the slider was previously.
   */
  public native function get oldValue():Number;
}
}