package ext.tab.events {
import ext.Component;
import ext.tab.Tab;
import ext.tab.TabBar;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TabBar_tab_cardEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when the currently-active tab has changed
   * @see ext.tab.TabBar
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public function TabBar_tab_cardEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The TabBar
   */
  public native function get tabBar():ext.tab.TabBar;

  /**
   * The new Tab
   */
  public native function get tab():ext.tab.Tab;

  /**
   * The card that was just shown in the TabPanel
   */
  public native function get card():ext.Component;
}
}