package ext.tab.events {
import ext.tab.Tab;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TabEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when the tab is activated.
   * @see ext.tab.Tab
   * @eventType onActivate
   */
  public static const ACTIVATE:String = "onActivate";

  /**
   * "Fires if the user clicks on the Tab's close button, but before the <a href="#!/api/Ext.tab.Tab-event-close" rel="Ext.tab.Tab-event-close" class="docClass">close</a> event is fired. Return
   * false from any listener to stop the close event being fired
   * @see ext.tab.Tab
   * @eventType onBeforeClose
   */
  public static const BEFORE_CLOSE:String = "onBeforeClose";

  /**
   * "Fires to indicate that the tab is to be closed, usually because the user has clicked the close button.
   * @see ext.tab.Tab
   * @eventType onClose
   */
  public static const CLOSE:String = "onClose";

  /**
   * "Fired when the tab is deactivated.
   * @see ext.tab.Tab
   * @eventType onDeactivate
   */
  public static const DEACTIVATE:String = "onDeactivate";

  public function TabEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.tab.Tab;
}
}