package ext.tab.events {
import ext.Component;
import ext.tab.TabPanel;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class TabPanel_newCard_oldCardEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a tab change (activated by <a href="#!/api/Ext.tab.Panel-method-setActiveTab" rel="Ext.tab.Panel-method-setActiveTab" class="docClass">setActiveTab</a>). Return false in any listener to cancel
   * the tabchange
   * @see ext.tab.TabPanel
   * @eventType onBeforeTabChange
   */
  public static const BEFORE_TAB_CHANGE:String = "onBeforeTabChange";

  /**
   * "Fires when a new tab has been activated (activated by <a href="#!/api/Ext.tab.Panel-method-setActiveTab" rel="Ext.tab.Panel-method-setActiveTab" class="docClass">setActiveTab</a>).
   * @see ext.tab.TabPanel
   * @eventType onTabChange
   */
  public static const TAB_CHANGE:String = "onTabChange";

  public function TabPanel_newCard_oldCardEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The TabPanel
   */
  public native function get tabPanel():ext.tab.TabPanel;

  /**
   * The card that is about to be activated
   */
  public native function get newCard():ext.Component;

  /**
   * The card that is currently active
   */
  public native function get oldCard():ext.Component;
}
}