package ext.toolbar.events {
import ext.toolbar.PagingToolbar;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class PagingToolbar_pageDataEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after the active page has been changed.
   * @see ext.toolbar.PagingToolbar
   * @eventType onChange
   */
  public static const CHANGE:String = "onChange";

  public function PagingToolbar_pageDataEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.toolbar.PagingToolbar;

  /**
   * An object that has these properties:
   * <ul>
   * <li><p><code>total</code> : Number</p>
   * <p>The total number of records in the dataset as returned by the server</p></li>
   * <li><p><code>currentPage</code> : Number</p>
   * <p>The current page number</p></li>
   * <li><p><code>pageCount</code> : Number</p>
   * <p>The total number of pages (calculated from the total number of records in the dataset as returned by the
   * server and the current <a href="#!/api/Ext.data.Store-cfg-pageSize" rel="Ext.data.Store-cfg-pageSize" class="docClass">pageSize</a>)</p></li>
   * <li><p><code>toRecord</code> : Number</p>
   * <p>The starting record index for the current page</p></li>
   * <li><p><code>fromRecord</code> : Number</p>
   * <p>The ending record index for the current page</p></li>
   * </ul>
   */
  public native function get pageData():Object;
}
}