package ext.toolbar.events {
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Toolbar_lastHiddenCount_hiddenCount_hiddenItemsEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires after the overflow state has changed if this toolbar has been configured with
   * an <code><a href="#!/api/Ext.toolbar.Toolbar-cfg-overflowHandler" rel="Ext.toolbar.Toolbar-cfg-overflowHandler" class="docClass">overflowHandler</a></code>.
   * @see ext.toolbar.Toolbar
   * @eventType onOverflowChange
   */
  public static const OVERFLOW_CHANGE:String = "onOverflowChange";

  public function Toolbar_lastHiddenCount_hiddenCount_hiddenItemsEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * The number of overflowing items that used to be hidden.
   */
  public native function get lastHiddenCount():Number;

  /**
   * The number of overflowing items that are hidden now.
   */
  public native function get hiddenCount():Number;

  /**
   * The hidden items
   */
  public native function get hiddenItems():Array;
}
}