package ext.util.events {
import ext.util.HashMap;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class HashMap_key_value_oldEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires when an item is replaced in the hash.
   * @see ext.util.HashMap
   * @eventType onReplace
   */
  public static const REPLACE:String = "onReplace";

  public function HashMap_key_value_oldEvent(type:String, arguments:Array) {
    super(null, null);
  }

  public native function get source():ext.util.HashMap;

  /**
   * The key of the replaced item.
   */
  public native function get key():String;

  /**
   * The new value for the item.
   */
  public native function get value():Object;

  /**
   * The old value for the item.
   */
  public native function get old():Object;
}
}