package ext.util.events {
import ext.util.Sortable;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class Sortable_sortersEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fires before a sort occurs.
   * @see ext.util.Sortable
   * @eventType onBeforeSort
   */
  public static const BEFORE_SORT:String = "onBeforeSort";

  public function Sortable_sortersEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * This object.
   */
  public native function get me():ext.util.Sortable;

  /**
   * The collection of Sorters being used to generate the comparator function.
   */
  public native function get sorters():Array;
}
}