package ext.view.events {
import ext.event.Event;
import net.jangaroo.ext.FlExtEvent;

[Uses("net.jangaroo.ext.FlExtEvent")]
public class NavigationModelView_event_keyEventEvent extends net.jangaroo.ext.FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array;

  /**
   * "Fired when a key has been used to navigate around the view.
   * @see ext.view.NavigationModelView
   * @eventType onNavigate
   */
  public static const NAVIGATE:String = "onNavigate";

  public function NavigationModelView_event_keyEventEvent(type:String, arguments:Array) {
    super(null, null);
  }

  /**
   * <ul>
   *   <li><code>previousRecordIndex</code> : Number
   * The previously focused record index.
   *   </li>
   *   <li><code>previousRecord</code> : ext.data.Model
   * The previously focused record.
   *   </li>
   *   <li><code>previousItem</code> : js.HTMLElement
   * The previously focused view item.
   *   </li>
   *   <li><code>recordIndex</code> : Number
   * The newly focused record index.
   *   </li>
   *   <li><code>record</code> : ext.data.Model
   * the newly focused record.
   *   </li>
   *   <li><code>item</code> : js.HTMLElement
   * the newly focused view item.
   *   </li>
   * </ul>
   */
  public native function get event():Object;

  /**
   * The key event which caused the navigation.
   */
  public native function get keyEvent():ext.event.Event;
}
}