Ext.define("ext.form.field.events.ComboBox_queryPlanEvent", function(ComboBox_queryPlanEvent) {/*package ext.form.field.events {
import net.jangaroo.ext.FlExtEvent;

public class ComboBox_queryPlanEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){ComboBox_queryPlanEvent.__PARAMETER_SEQUENCE__=( ["queryPlan", "eOpts"]);}/*;
  /**
   * "Fires before all queries are processed. Return false to cancel the query or set the queryPlan's cancel
   * property to true.
   * @see ext.form.field.ComboBox
   * @eventType onBeforeQuery
   * /
  public static const BEFORE_QUERY:String = "onBeforeQuery";

  public*/ function ComboBox_queryPlanEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * An object containing details about the query to be executed.
   * <ul>
   *   <li><code>combo</code> : ext.form.field.ComboBox
   * A reference to this ComboBox.
   *   </li>
   *   <li><code>query</code> : String
   * The query value to be used to match against the ComboBox's <a href="#!/api/Ext.form.field.ComboBox-cfg-valueField" rel="Ext.form.field.ComboBox-cfg-valueField" class="docClass">valueField</a>.
   *   </li>
   *   <li><code>forceAll</code> : Boolean
   * If <code>true</code>, causes the query to be executed even if the minChars threshold is not met.
   *   </li>
   *   <li><code>cancel</code> : Boolean
   * A boolean value which, if set to <code>true</code> upon return, causes the query not to be executed.
   *   </li>
   *   <li><code>rawQuery</code> : Boolean
   * If <code>true</code> indicates that the raw input field value is being used, and upon store load,
   *   </li>
   * </ul>
   * /
  public native function get queryPlan():Object;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: ComboBox_queryPlanEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        BEFORE_QUERY: "onBeforeQuery",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
