Ext.define("ext.tree.plugin.events.TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent", function(TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent) {/*package ext.tree.plugin.events {
import ext.data.TreeModel;

import js.HTMLElement;

import net.jangaroo.ext.FlExtEvent;

public class TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent extends FlExtEvent {
  public static const __PARAMETER_SEQUENCE__:Array =*/function __PARAMETER_SEQUENCE__$static_(){TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent.__PARAMETER_SEQUENCE__=( ["node", "data", "overModel", "dropPosition", "eOpts"]);}/*;
  /**
   * "<strong>This event is fired through the <a href="#!/api/Ext.tree.View" rel="Ext.tree.View" class="docClass">TreeView</a> and its owning
   * <a href="#!/api/Ext.tree.Panel" rel="Ext.tree.Panel" class="docClass">Tree</a>. You can add listeners to the tree or tree <a href="#!/api/Ext.tree.Panel-cfg-viewConfig" rel="Ext.tree.Panel-cfg-viewConfig" class="docClass">view config</a> object</strong>
   *
   * <p>Fired when a drop operation has been completed and the data has been moved or
   * copied.</p>
   * @see ext.tree.plugin.TreeViewDragDropPlugin
   * @eventType onDrop
   * /
  public static const DROP:String = "onDrop";

  public*/ function TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent$(type/*:String*/, arguments/*:Array*/) {
    net.jangaroo.ext.FlExtEvent.prototype.constructor.call(this,type, arguments);
  }/*

  /**
   * The <a href="#!/api/Ext.tree.View" rel="Ext.tree.View" class="docClass">tree view</a> node <strong>if any</strong> over
   * which the cursor was positioned.
   * /
  public native function get node():HTMLElement;

  /**
   * The data object gathered at mousedown time by the
   * cooperating <a href="#!/api/Ext.dd.DragZone" rel="Ext.dd.DragZone" class="docClass">DragZone</a>'s <a href="#!/api/Ext.dd.DragZone-method-getDragData" rel="Ext.dd.DragZone-method-getDragData" class="docClass">getDragData</a> method.  It contains the following properties:
   * <ul>
   *   <li><code>copy</code> : Boolean
   * The value of <a href="#!/api/Ext.tree.plugin.TreeViewDragDrop-cfg-copy" rel="Ext.tree.plugin.TreeViewDragDrop-cfg-copy" class="docClass">copy</a>.  Or <code>true</code> if
   * <a href="#!/api/Ext.tree.plugin.TreeViewDragDrop-cfg-allowCopy" rel="Ext.tree.plugin.TreeViewDragDrop-cfg-allowCopy" class="docClass">allowCopy</a> is true <strong>and</strong> the control key was pressed as the drag
   * operation began.
   *   </li>
   *   <li><code>view</code> : ext.tree.TreeView
   * The source tree view from which the drag
   * originated
   *   </li>
   *   <li><code>ddel</code> : js.HTMLElement
   * The drag proxy element which moves with the cursor
   *   </li>
   *   <li><code>item</code> : js.HTMLElement
   * The tree view node upon which the mousedown event
   * was registered
   *   </li>
   *   <li><code>records</code> : Array
   * An Array of Models representing the
   * selected data being dragged from the source tree view
   *   </li>
   * </ul>
   * /
  public native function get data():Object;

  /**
   * The Model over which the drop gesture took
   * place.
   * /
  public native function get overModel():TreeModel;

  /**
   * <code>"before"</code> or <code>"after"</code> depending on whether the
   * cursor is above or below the mid-line of the node.
   * /
  public native function get dropPosition():String;
}
}

============================================== Jangaroo part ==============================================*/
    return {
      extend: "net.jangaroo.ext.FlExtEvent",
      constructor: TreeViewDragDropPlugin_node_data_overModel_dropPositionEvent$,
      statics: {
        __PARAMETER_SEQUENCE__: undefined,
        DROP: "onDrop",
        __initStatics__: function() {
          __PARAMETER_SEQUENCE__$static_();
        }
      },
      requires: ["net.jangaroo.ext.FlExtEvent"]
    };
});
